package com.ruoyi.system.domain.carrier;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.util.Date;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 载体下发
 * @TableName td_carrier
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TdCarrier extends BaseEntity {
    /**
     * id
     */
    @TableId
    private String id;

    /**
     * 载体名称
     */
    @Excel(name = "载体名称")
    private String carrierName;

    /**
     * 载体数量
     */
    @Excel(name = "载体数量")
    private String carrierCount;

    /**
     * 载体类型
     */
    @Excel(name = "载体类型")
    private String carrierLevel;

    /**
     * 紧急程度
     */
    @Excel(name = "紧急程度",readConverterExp = "0=普通,1=紧急,2=加急")
    private String carrierExtent;

    /**
     * 定密依据
     */
    @Excel(name = "定密依据")
    private String carrierAlliance;

    /**
     * 密级
     */
    @Excel(name = "密级",readConverterExp = "0=秘密,1=机密,2=绝密")
    private String carrierSecret;

    /**
     * 编号
     */
    @Excel(name = "编号")
    private String carrierNumber;

    /**
     * 保密期限
     */
    @Excel(name = "保密期限")
    private String carrierTerm;

    /**
     * 发放范围
     */
    @Excel(name = "发放范围")
    private String carrierContent;

    /**
     * 接收单位
     */
    private String receivingUnits;

    /**
     * 接收时间
     */
    private Date receivingTime;

    /**
     * 接收人员
     */
    private String receivingUser;

    /**
     * 发放单位
     */
    private String issuingUnit;

    /**
     * 发放时间
     */
    private Date issuingTime;

    /**
     * 发放人员
     */
    private String issuingUser;

    /**
     * 传递方式
     */
    private String deliveryMethod;

    /**
     * 交通工具
     */
    private String carrierVehicle;

    /**
     * 使用要求
     */
    private String mentsUse;

    /**
     * 使用时间
     */
    private Date mentsTime;

    /**
     * 使用人员
     */
    private String usageUser;

    /**
     * 保存地点
     */
    private String saveLocation;

    /**
     * 地点要求
     */
    private String locationRequire;

    /**
     * 维护部门
     */
    private String maintainDepart;

    /**
     * 维护人员
     */
    private String maintainUser;

    /**
     * 维护日期
     */
    private Date maintainDate;

    /**
     * 销毁部门
     */
    private String destoryDepart;

    /**
     * 销毁人员
     */
    private String destoryUser;

    /**
     * 销毁日期
     */
    private Date destoryDate;

    /**
     * 销毁方式 区县
     */
    private String destoryManner;

    /**
     * 状态
     */
    private String status;

    /**
     * 市州
     */
    private String areaCity;

    /**
     * 区县
     */
    private String areaDistrict;


    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}